cdac.medinfo.sdk.hl7282.hl7model.messages.claimsandreimbursement

## Class EHC_E02

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.claimsandreimbursement.EHC_E02

-     public final class EHC_E02
      extends Message

  EHC_E02 - Submit HealthCare Services Invoice (event E02). This message is used to cancel one HealthCare Services Invoices or one Product/Service Group in an Invoice or one Product/Service Line Item in an Invoice that have previously been submitted to a TPA/Payer for processing and payment.

  Represents a EHC_E02 message structure (see chapter 16.3.2). This structure contains the following elements:

  0: MSH (Message Header segment)
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential segment) MULTIPLE_OPTIONAL
  3: INVOICE_INFORMATION_CANCEL (a Group of segments in ECH_E02 message) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  EHC_E02 objE02 = (EHC_E02)MessageFactory.createInstance().createSendSupportedMessage("EHC", "E02");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInvoiceInformationSubmitGroup(IGroup objGroup)` Adds INVOICE_INFORMATION_SUBMIT to this message.
    `void` | `addInvoiceInformationSubmitGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of INVOICE_INFORMATION_SUBMIT to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `void` | `addUserAuthenticationCredentialSegment(ISingleCollection<UAC> objUACSegmentCollection)` Adds collection of User Authentication Credential Segment(UAC) to this message.
    `void` | `addUserAuthenticationCredentialSegment(UAC objUAC)` Adds User Authentication Credential Segment(UAC) to this message.
    `ISingleCollection<IGroup>` | `getInvoiceInformationSubmitGroups()` Retrieves Collection of INVOICE_INFORMATION_SUBMIT present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `ISingleCollection<UAC>` | `getUserAuthenticationCredentialSegments()` Retrieves Collection of User Authentication Credential Segments(UAC) present in this message.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this message to this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegments

          public ISingleCollection<UAC> getUserAuthenticationCredentialSegments()

      Retrieves Collection of User Authentication Credential Segments(UAC) present in this message.
      Returns:
        ISingleCollection - Collection of User Authentication Credential Segments(UAC) present in this message.

    - #### addUserAuthenticationCredentialSegment

          public void addUserAuthenticationCredentialSegment(UAC objUAC)

      Adds User Authentication Credential Segment(UAC) to this message.
      Parameters:
        `objUAC` - Specified User Authentication Credential Segment(UAC) to be added in this message to this message.

    - #### addUserAuthenticationCredentialSegment

          public void addUserAuthenticationCredentialSegment(ISingleCollection<UAC> objUACSegmentCollection)

      Adds collection of User Authentication Credential Segment(UAC) to this message.
      Parameters:
        `objUACSegmentCollection` - Collection of User Authentication Credential Segments to add in this message

    - #### getInvoiceInformationSubmitGroups

          public ISingleCollection<IGroup> getInvoiceInformationSubmitGroups()

      Retrieves Collection of INVOICE_INFORMATION_SUBMIT present in this message.
      Returns:
        ISingleCollection - Collection of INVOICE_INFORMATION_SUBMIT present in this Message.

    - #### addInvoiceInformationSubmitGroups

          public void addInvoiceInformationSubmitGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of INVOICE_INFORMATION_SUBMIT to this message.
      Parameters:
        `objSingleCollection` - - Specified INVOICE_INFORMATION_SUBMIT Collection.

    - #### addInvoiceInformationSubmitGroup

          public void addInvoiceInformationSubmitGroup(IGroup objGroup)

      Adds INVOICE_INFORMATION_SUBMIT to this message.
      Parameters:
        `objGroup` - Specified INVOICE_INFORMATION_SUBMIT.